Alliot's blog

Openwrt出现md5sum mismatch错误的解决方法

之前路由器刷潘多拉玩drcom认证的时候,装ipk出现

1
2
3
Collected errors:
* opkg_install_pkg: Package ******* md5sum mismatch. Either the opkg or the package index are corrupt. Try ‘opkg update’.
* opkg_install_cmd: Cannot install package *******.

这是由于从源列表安装软件必须校验md5,于是手动下载了ipk,安装时同样错误提示,后来找到解决办法:
只需要注释掉/etc/opkg.conf里面第一行src pacages这一句即可,这样可以直接安装本地或者其他的ipk,而不需要校验源里面的md5值。

如果此文为您解决燃眉之急或是带来些许明朗,不妨打赏Alliot一杯香茗或是一杯咖啡